package pps.core.base.service;

import com.alibaba.excel.write.metadata.WriteSheet;
import pps.core.base.service.data.base_excel.ExcelPhotovoltaicPlantTemplate;
import pps.core.base.utils.EasyExcelUtil;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.feature.api.annotation.XApiPost;

/**
 * excel导入导出
 *
 * @author ZWT
 * @date 2024/05/07 09:49
 */
@XText("Excel")
@XService
public class ExcelService {

    @XText("光伏电站模板导出")
    @XApiPost(anonymous = true)
    public XServiceResult templatePhotovoltaicPlant(XContext context) {

        WriteSheet writeSheet = EasyExcelUtil.writeSelectedSheet(ExcelPhotovoltaicPlantTemplate.class, 0, "光伏电站");

        return XServiceResult.OK;
    }
}
